import React from "react";
import { TypeToolbarButtons } from "./typeButtons";

type TProps = {
    onClick: () => void
    type: TypeToolbarButtons
}

export const ToolbarButton:React.FC<TProps> = React.memo((props) => {
    return <button className={`toolbar-button ${props.type}`} onClick={() => props.onClick()}></button>
})